Skip to content
GitHub

Build the source's branch head now: the same as a source sync.

POST
/api/v1/projects/{project}/environments/{environment}/apps/{app}/builds
curl --request POST \
--url https://example.com/api/v1/projects/example/environments/example/apps/example/builds
project
required
string

Project name

environment
required
string

Environment short name

app
required
string

App name

The sync was queued

Media typeapplication/json

A build of the source head was asked for: the head is read, then built unless it is already.

object
syncOperation
required

The sync that reads the head and queues the build.

string
build
One of:
null
Example
{
"build": {
"stages": [
{
"name": "clone",
"status": "pending"
}
]
}
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}

The app has no Git source

Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}